SpecializationUtil.registerSpecialization("TrafficColliFix", "TrafficColliFix", g_modsDirectory.."/TrafficColliFix/core.lua")

local Mod_directory = g_currentModDirectory

TrafficColliFix_Register = {};


function TrafficColliFix_Register:loadMap(name)
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		if SpecializationUtil.hasSpecialization(Steerable, v.specializations)then 
			if not SpecializationUtil.hasSpecialization(TrafficColliFix, v.specializations) then
				table.insert(v.specializations, SpecializationUtil.getSpecialization("TrafficColliFix"));
			end
		end;
	end;
end;

function TrafficColliFix_Register:deleteMap()
end;

function TrafficColliFix_Register:keyEvent(unicode, sym, modifier, isDown)
end;

function TrafficColliFix_Register:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TrafficColliFix_Register:update(dt)
end;

function TrafficColliFix_Register:draw()
end;

addModEventListener(TrafficColliFix_Register);