
TrafficColliFix = {};

function TrafficColliFix.prerequisitesPresent(specializations)
    return true
end;

function TrafficColliFix:load(xmlFile)
	if self.aiTrafficCollisionTrigger ~= nil then
		if self.onTrafficCollisionTrigger and not self.Ori_onTrafficCollisionTrigger then
			self.TCPathVehicle = {}
			self.Ori_onTrafficCollisionTrigger = self.onTrafficCollisionTrigger
			function self:onTrafficCollisionTrigger(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId, g)
				local vehicle = g_currentMission.nodeToVehicle[otherId];
				if vehicle ~= nil and vehicle ~= self then
					if vehicle.isPathVehicle then
						if onEnter then
							self.TCPathVehicle[otherId] = triggerId
						elseif onLeave and self.TCPathVehicle[otherId] then
							self.TCPathVehicle[otherId] = nil
						end
					end
				end
				return self:Ori_onTrafficCollisionTrigger(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId, g)
			end
			--print(string.format("%s Hook onTrafficCollisionTrigger()",self.name))
		end
	end
end;

function TrafficColliFix:delete()
end;

function TrafficColliFix:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TrafficColliFix:keyEvent(unicode, sym, modifier, isDown)
end;

function TrafficColliFix:update(dt)
end;

function TrafficColliFix:updateTick(dt)
	if self.numCollidingVehicles ~= nil then
		local findColli = false
		for k,v in pairs(self.numCollidingVehicles) do
			if v > 0 then
				findColli = true
			end;
		end;
		if findColli then
			for k,v in pairs(self.TCPathVehicle) do
				local vehicle = g_currentMission.nodeToVehicle[k];
				if not vehicle then
					--print(string.format("%s Coli PathVehicle %d verschwunden",self.name,k))
					self.numCollidingVehicles[self.TCPathVehicle[k]] = math.max(self.numCollidingVehicles[self.TCPathVehicle[k]]-1, 0);
					self.TCPathVehicle[k] = nil
				end
			end;
		end
	end
end;

function TrafficColliFix:draw()
end;



